%define commit 6ed6cdfecda0d92e8600938d2a9daee3ae371930
%define commit_short %(echo %{commit} | head -c6)

Summary:	Open source implementation of a Fool (Durak) card game
Name:		openfool
Version:	0.0.9
Release:	1
License:	GPL-3.0
Group:		Games/Cards
Url:		https://github.com/artenax/openfool
Source0:	https://github.com/artenax/openfool/archive/%{commit}.zip?/%{name}-%{commit}.zip
# BuildRequires:	qmake5
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Svg)

%description
OpenFool - free and open source (GPL v3) Fool (Durak) card game implementation.

%files
%{_bindir}/OpenFool
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

#--------------------------------------------------------
%prep
%setup -qn %{name}-%{commit}

%build
%qmake_qt5
%make

%install
# make install not supported
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp ./OpenFool %{buildroot}%{_bindir}
cp ./openfool.desktop %{buildroot}%{_datadir}/applications
cp ./openfool.png %{buildroot}%{_datadir}/pixmaps
